Subject: bug#31413: 25.3; Semantic with Python: semantic-idle-summary-mode not print summary when cursor in parentheses

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Nov 2020 14:33:31 +0100

[email-masked] (Sébastien Gendre) writes:

> After enabled Semantic (M-x semantic) and 'semantic-idle-summary-mode'
> (M-x semantic-idle-summary-mode), I get summary of function only when
> the cursor (point) are on a function name. When I wrote the open
> parentheses to write call arguments of this function, I get no more
> summary.
>
> How to reproduce:
> - Start emacs ('emacs -q') and open a Python file
> - Enable Semantic (M-x semantic) and 'semantic-idle-summary-mode'
> (M-x semantic-idle-summary-mode)
> - Define a Python function with arguments (ex: test(var1, var2))
> - Write a call to this function.
> - When the cursor are on the function name, you get the summary
> - When the cursor are between the parentheses, you get nothing

(This bug report unfortunately got no response at the time.)

I tried this in Emacs 28, but I get no summary either when I'm on the
function call or after it.  Do you have an example file that displays
the problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no